@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  padding-bottom: 88px;
  background-color: var(--background-most);
  &-inner {
    width: 100%;
    height: 100%;
  }
}

.title {
  text-align: center;
  font-family: var(--default-font-family);
  font-size: 44px;
  padding-top: 120px;
  font-weight: bold;
  color: var(--element-default);
  & > strong {
    background: linear-gradient(to left, var(--element-main), var(--element-link));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
  @include mq-down(fm) {
    font-size: 32px;
    padding-top: 88px;
  }
}

.stories {
  display: grid;
  grid-template-columns: repeat(2, 2fr);
  grid-gap: 20px;
  width: calc(100% - 40px);
  max-width: 1020px;
  margin: 64px auto;
  box-sizing: border-box;
  @include mq-down(fm) {
    grid-template-columns: repeat(1, 1fr);
  }
}

.story {
  &-landscape {
    grid-column: span 2;
    width: 100%;
    height: 100%;
    position: relative;
    min-height: 400px;
    border-radius: 10px;
    padding: 40px 40px;
    overflow: hidden;
    @include mq-down(fm) {
      grid-column: span 1;
    }
    &-flex {
      display: flex;
      flex-direction: row;
      gap: 20px;
      align-items: center;
      @include mq-down(fm) {
        display: block;
      }
    }
    &-texts {
      width: calc(50% - 10px);
      @include mq-down(fm) {
        width: 100%;
      }
    }
    &-devices {
      width: calc(50% - 10px + 40px);
      height: calc(100% + 40px);
      overflow: hidden;
      margin-bottom: -40px;
      margin-right: -40px;
      @include mq-down(fm) {
        width: calc(100% + 40px);
        margin-top: 20px;
        margin-right: -40px;
      }
    }
    &-label {
      font-size: 24px;
      color: var(--element-default);
      font-family: var(--default-font-family);
      text-align: left;
      white-space: pre-wrap;
      word-break: break-word;
      font-weight: bold;
      opacity: .6;
      @include mq-down(fm) {
        font-size: 18px;
      }
    }
    &-title {
      padding-top: 32px;
      font-size: 44px;
      line-height: 64px;
      color: var(--element-default);
      font-family: var(--default-font-family);
      text-align: left;
      white-space: pre-wrap;
      word-break: break-word;
      font-weight: bold;
      @include mq-down(fm) {
        padding-top: 14px;
        padding-bottom: 14px;
        font-size: 36px;
        line-height: 44px;
      }
    }
    &-device {
      width: 400px;
      height: 500px;
    }
    &-rooms {
      position: relative;
      width: 140%;
      height: 100%;
      max-height: 800px;
      margin: 0 auto;
      margin-top: 20px;
      margin-left: -20%;
      @include mq-down(md) {
        width: calc(100% + 80px);
        margin-left: -40px;
      }
    }
  }
  &-portrait {
    width: 100%;
    height: 100%;
    position: relative;
    border-radius: 10px;
    padding: 40px 40px;
    overflow: hidden;
    &-label {
      font-size: 24px;
      color: var(--element-default);
      font-family: var(--default-font-family);
      text-align: left;
      white-space: pre-wrap;
      word-break: break-word;
      font-weight: bold;
      opacity: .6;
      @include mq-down(fm) {
        font-size: 18px;
      }
    }
    &-title {
      padding-top: 32px;
      font-size: 44px;
      line-height: 64px;
      color: var(--element-default);
      font-family: var(--default-font-family);
      text-align: left;
      white-space: pre-wrap;
      word-break: break-word;
      font-weight: bold;
      @include mq-down(fm) {
        padding-top: 14px;
        padding-bottom: 14px;
        font-size: 36px;
        line-height: 44px;
      }
    }
    &-description {
      padding-top: 20px;
      font-size: 20px;
      line-height: 36px;
      color: var(--element-default);
      font-family: var(--default-font-family);
      text-align: left;
      white-space: pre-wrap;
      word-break: break-word;
      font-weight: bold;
      @include mq-down(fm) {
        padding-top: 14px;
        font-size: 18px;
        line-height: 32px;
      }
    }
    &-link {
      margin-top: 20px;
      display: flex;
      justify-content: flex-start;
      align-items: center;
      gap: 4px;
      position: relative;
      @include make-transition;
      &:hover {
        @include make-transition;
        opacity: .7;
      }
      &_text {
        font-size: 20px;
        line-height: 36px;
        color: var(--element-default);
        font-family: var(--default-font-family);
        text-align: left;
        white-space: pre-wrap;
        word-break: break-word;
        font-weight: bold;
        text-decoration: underline;
        @include mq-down(fm) {
          padding-top: 14px;
          font-size: 18px;
          line-height: 32px;
        }
      }
    }
  }
}

#story1 {
  background: var(--background-root);
}
#story2 {
  background: var(--element-main);//linear-gradient(#F34438, #F49E30);
  padding-bottom: 60px;
}
#story3 {
  background: #496BF4;//linear-gradient(#496BF4, #54D7FA);
  padding-bottom: 60px;
}
#story4 {
  background-image: linear-gradient(-20deg, #b721ff 0%, #21d4fd 100%);
  // background: #496BF4;
}